Get a Context Graph ask

View as Markdown
Gets a submitted ask's status and, once the ask completes, its result. Poll this endpoint after submitting an ask. The `status` property is `pending` or `running` while the ask is in progress, and `completed` or `failed` once it reaches a terminal state. The `result` property is only present once `status` is `completed`.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

askIdstringRequired
The ask's ID.

Response

Successful Response
askIdstring
The ask's ID.
statusenum
The ask's lifecycle state.
questionstring

The natural-language question that was asked.

revisioninteger or null
The graph revision the ask was evaluated against.
createdAtdatetime
The date and time the ask was submitted, in ISO 8601 format.
completedAtdatetime or nullOptional

The date and time the ask reached a terminal state, in ISO 8601 format. This value is null until the ask is completed or failed.

errorstring or nullOptional

A short reason the ask failed, such as the ask having timed out. This property is only present if status is failed.

resultobjectOptional

The ask’s result. This property is only present if status is completed.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error